Page MenuHomePhabricator

Thumbnails of files uploaded to idwikimedia throws 401 Unauthorized
Closed, ResolvedPublic

Description

Hello,

I'd like to report that thumbnails of files uploaded to idwikimedia throws 401 Unauthorized, see https://id.wikimedia.org/wiki/Berkas:Test.png for example and its https://upload.wikimedia.org/wikimedia/id/thumb/d/d9/Test.png/640px-Test.png thumbnail URL. It seems like problem that appears because it is a new wiki, when I tried to upload the same test screenshot to cs.wikipedia, it was working with no problem.

I'm going to keep this test file live until this problem is solved.

Thank you in advance for fixing,
Martin Urbanec

Event Timeline

Urbanecm created this task.Jun 9 2018, 7:49 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 9 2018, 7:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Urbanecm added a subscriber: Reedy.Jun 9 2018, 7:55 PM

@Reedy FYI, as you created this wiki.

Reedy closed this task as Resolved.Jun 9 2018, 8:22 PM
Reedy claimed this task.
reedy@deploy1001:~$ mwscript extensions/WikimediaMaintenance/filebackend/setZoneAccess.php --wiki=idwikimedia --backend=local-multiwrite
Making sure mwstore://local-multiwrite/local-public exists...making 'mwstore://local-multiwrite/local-public' public...done.
Making sure mwstore://local-multiwrite/local-thumb exists...making 'mwstore://local-multiwrite/local-thumb' public...done.
Making sure mwstore://local-multiwrite/local-transcoded exists...making 'mwstore://local-multiwrite/local-transcoded' public...done.
Making sure mwstore://local-multiwrite/local-temp exists...making 'mwstore://local-multiwrite/local-temp' private...done.
Making sure mwstore://local-multiwrite/local-deleted exists...making 'mwstore://local-multiwrite/local-deleted' private...done.
Making sure mwstore://local-multiwrite/timeline-render exists...making 'mwstore://local-multiwrite/timeline-render' public...done.
reedy@deploy1001:~$

WFM now at least. Guess something blipped, the below probably something to do with it

reedy@mwlog1001:/srv/mw-log$ grep idwikimedia FileOperation.log  | grep Test
2018-06-09 19:41:55 [WxwtggpAMD4AABXaXNcAAABL] mw1227 idwikimedia 1.32.0-wmf.7 FileOperation DEBUG: FileBackendStore::getFileStat: File mwstore://local-swift-eqiad/local-public/d/d9/Test.png does not exist.
2018-06-09 19:41:55 [WxwtggpAMD4AABXaXNcAAABL] mw1227 idwikimedia 1.32.0-wmf.7 FileOperation DEBUG: FileBackendStore::preloadFileStat: File mwstore://local-swift-eqiad/local-public/archive/d/d9/20180609194154!Test.png does not exist.
2018-06-09 19:41:55 [WxwtggpAMD4AABXaXNcAAABL] mw1227 idwikimedia 1.32.0-wmf.7 FileOperation DEBUG: FileBackendStore::preloadFileStat: File mwstore://local-swift-eqiad/local-public/d/d9/Test.png does not exist.
2018-06-09 19:41:55 [WxwtggpAMD4AABXaXNcAAABL] mw1227 idwikimedia 1.32.0-wmf.7 FileOperation DEBUG: FileBackendStore::preloadFileStat: File mwstore://local-swift-codfw/local-public/archive/d/d9/20180609194154!Test.png does not exist.
2018-06-09 19:41:55 [WxwtggpAMD4AABXaXNcAAABL] mw1227 idwikimedia 1.32.0-wmf.7 FileOperation DEBUG: FileBackendStore::preloadFileStat: File mwstore://local-swift-codfw/local-public/d/d9/Test.png does not exist.
2018-06-09 19:41:55 [WxwtggpAMD4AABXaXNcAAABL] mw1227 idwikimedia 1.32.0-wmf.7 FileOperation DEBUG: FileBackendStore::preloadFileStat: File mwstore://local-swift-eqiad/local-public/d/d9/Test.png does not exist.
2018-06-09 19:41:55 [WxwtggpAMD4AABXaXNcAAABL] mw1227 idwikimedia 1.32.0-wmf.7 FileOperation DEBUG: FileBackendStore::preloadFileStat: File mwstore://local-swift-eqiad/local-public/archive/d/d9/20180609194154!Test.png does not exist.
2018-06-09 19:41:55 [WxwtggpAMD4AABXaXNcAAABL] mw1227 idwikimedia 1.32.0-wmf.7 FileOperation DEBUG: FileBackendStore::preloadFileStat: File mwstore://local-swift-codfw/local-public/d/d9/Test.png does not exist.
2018-06-09 19:41:55 [WxwtggpAMD4AABXaXNcAAABL] mw1227 idwikimedia 1.32.0-wmf.7 FileOperation DEBUG: FileBackendStore::preloadFileStat: File mwstore://local-swift-codfw/local-public/archive/d/d9/20180609194154!Test.png does not exist.
2018-06-09 19:41:56 [WxwtggpAMD4AABXaXNcAAABL] mw1227 idwikimedia 1.32.0-wmf.7 FileOperation DEBUG: FileBackendStore::preloadFileStat: File mwstore://local-swift-eqiad/local-public/archive/d/d9/20180609194154!Test.png does not exist.

Thank you. Wfm as well.

Vvjjkkii renamed this task from Thumbnails of files uploaded to idwikimedia throws 401 Unauthorized to zbbaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Reedy as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from zbbaaaaaaa to Thumbnails of files uploaded to idwikimedia throws 401 Unauthorized.Jul 2 2018, 2:59 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Reedy.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.